[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Polygon< POINT > Class Template Reference Geometry |

`#include <vigra/polygon.hxx>`

Inheritance diagram for Polygon< POINT >:

## Public Member Functions

double | arcLengthQuantile (double quantile) const
bool | closed () const
| Returns true iff the last and first points are equal or the polygon is empty.
bool | contains (const_reference point, coordinate_type tolerance) const
Point | interpolate (unsigned int index, double offset) const

## Detailed Description

### template<class POINT = TinyVector<double, 2>>
class vigra::Polygon< POINT >

Polygons in two and higher dimenions.

The documentation for this class was generated from the following file:

- vigra/polygon.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0